//used to store dataset

public final class Matrix {
  private int ncols, nrows;
  private double[] data; //saves time storing the table as a single array

  public Matrix() { 
    ncols = -1;
    nrows = -1;
    data = null;
  }

  public Matrix(int rows, int cols) {
    setSize(rows, cols);
  }

  public void setSize(int rows, int cols) {
    int i;
    ncols = cols;
    nrows = rows; 
    data = new double[rows*cols];
  }

  public void setCell(int row, int column, double value) {
    data[row*ncols+column]=value;
  }

  public double getCell(int row, int column) {
    return data[row*ncols+column];
  }

  public int  getX() { 
    return ncols;
  }

  public int  getY() {
    return nrows;
  }
}
